services:
  frontend:
    image: harbor.graphpolaris.com/graphpolaris/frontend-dev:latest
    build:
      context: ./
      dockerfile: ./Dockerfile
    container_name: frontend
    ports:
      - 4200:4200
    environment:
      - BACKEND_URL=http://localhost
      - BACKEND_WSS_URL=ws://localhost:3001/
      - BACKEND_USER=:3000
      # - BACKEND_URL=http://
      # - BACKEND_WSS_URL=ws://client-updater-service/
      # - BACKEND_USER=user-management-service
      - GRAPHPOLARIS_VERSION=dev
      - SKIP_LOGIN=false
      - SENTRY_ENABLED=false
      - SENTRY_URL=http://localhost
      - GP_AUTH_URL=https://auth.staging.graphpolaris.com/
      - WIP_TABLEVIS=false
      - WIP_NODELINKVIS=false
      - WIP_RAWJSONVIS=false
      - WIP_PAOHVIS=true
      - WIP_MATRIXVIS=true
      - WIP_SEMANTICSUBSTRATESVIS=true
      - WIP_MAPVIS=true
      - WIP_INSIGHT_SHARING=true
      - WIP_VIEWER_PERMISSIONS=true
      - WIP_SHARABLE_EXPLORATION=true
    restart: always
    # networks:
    #   - graphpolaris_network
# networks:
#   graphpolaris_network:
#     name: custom_network
#     external: true
